'''
Напишіть функцію, що приймає один аргумент будь-якого типу та повертає цей аргумент, перетворений на float.
Якщо перетворити не вдається функція має повернути 0.
'''

def converting_float(arg):
    try:
        return float(arg)
    except ValueError:
        return 0

print(converting_float(98765))

print()

'''
Напишіть функцію, що приймає два аргументи. Функція повинна
якщо аргументи відносяться до числових типів (int, float) - повернути перемножене значення цих аргументів,
якщо обидва аргументи це строки (str) - обʼєднати в одну строку та повернути
у будь-якому іншому випадку повернути кортеж з цих аргументів
'''

def two_orguements(arg1, arg2):
    if isinstance(arg1, (int, float)) and isinstance(arg2, (int, float)):
        return arg1 * arg2
    elif isinstance(arg1, str) and isinstance(arg2, str):
        return arg1 + arg2
    else:
        return arg1, arg2

print(two_orguements('poiu', 'sdfgh'))

print()
'''
Перепишіть за допомогою функцій вашу программу "Касир в кінотеатрі", яка буде виконувати наступне:
Попросіть користувача ввести свсвій вік.
- якщо користувачу менше 7 - вивести "Тобі ж <> <>! Де твої батьки?"
- якщо користувачу менше 16 - вивести "Тобі лише <> <>, а це е фільм для дорослих!"
- якщо користувачу більше 65 - вивести "Вам <> <>? Покажіть пенсійне посвідчення!"
- якщо вік користувача містить 7 - вивести "Вам <> <>, вам пощастить"
- у будь-якому іншому випадку - вивести "Незважаючи на те, що вам <> <>, білетів всеодно нема!"
Замість <> <> в кожну відповідь підставте значення віку (цифру) та правильну форму слова рік. 
Для будь-якої відповіді форма слова "рік" має відповідати значенню віку користувача (1 - рік, 22 - роки, 35 - років і тд...). Наприклад :
'''

def check_age(age):
    if age < 7:
        return f"Тобі ж {age} {get_year(age)}! Де твої батьки?"
    elif age < 16:
        return f"Тобі лише {age} {get_year(age)}, а це е фільм для дорослих!"
    elif age > 65:
        return f"Вам {age} {get_year(age)}? Покажіть пенсійне посвідчення!"
    elif '7' in str(age):
        return f"Вам {age} {get_year(age)}, вам пощастить"
    else:
        return f"Незважаючи на те, що вам {age} {get_year(age)}, білетів всеодно нема!"


def get_year(age):
    if age % 10 == 1 and age != 11:
        return "рік"
    elif age % 10 in (2, 3, 4) and age not in (12, 13, 14):
        return "роки"
    else:
        return "років"